- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TMssqlMetaData
TMssqlTableColumn
TMssqlTableInfo

Keyword

# Class TMssqlMetaData

    TComponent
       |
       --TDbMetaData
          |
          --TMssqlMetaData

TMssqlMetaData loads MSSQL database table and column information.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
protected TMssqlTableInfo | createNewTableInfo ( string $col, string 1)
protected TMssqlTableInfo | createTableInfo ( string $table) Get the column definitions for given table.
protected array | getCatalogSchemaTableName ( string $table)
protected array | getConstraintKeys ( string $col, string 1) Gets the primary and foreign key column details for the given table.
protected array | getForeignConstraints ( string $col, string 1) Gets foreign relationship constraint keys and table name
protected string | getTableInfoClass ()
protected boolean | isForeignKeyColumn ( string $columnId, TPgsqlTableInfo $tableInfo)
protected void | processColumn ( TMssqlTableInfo $tableInfo, array $col)

Methods Inherited From TDbMetaData
TDbMetaData::createCommandBuilder(), TDbMetaData::getDbConnection(), TDbMetaData::getInstance(), TDbMetaData::getTableInfo(), TDbMetaData::getTableInfoClass()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## createNewTableInfo

protected TMssqlTableInfo createNewTableInfo | (string $col , string 1 )

Input
string | $col | table schema name
string | 1 | table name.
Output
Exception

## createTableInfo

protected TMssqlTableInfo createTableInfo | (string $table )

Get the column definitions for given table.

Input
string | $table | table name.
Output
TMssqlTableInfo | table information.
Exception

## getCatalogSchemaTableName

protected array getCatalogSchemaTableName | (string $table )

Input
string | $table | table name
Output
array | tuple($catalogName,$schemaName,$tableName)
Exception

## getConstraintKeys

protected array getConstraintKeys | (string $col , string 1 )

Gets the primary and foreign key column details for the given table.

Input
string | $col | schema name
string | 1 | table name.
Output
array | tuple ($primary, $foreign)
Exception

## getForeignConstraints

protected array getForeignConstraints | (string $col , string 1 )

Gets foreign relationship constraint keys and table name

Input
string | $col | database name
string | 1 | table name
Output
array | foreign relationship table name and keys.
Exception

## getTableInfoClass

protected string getTableInfoClass | ()

Output
string | TDbTableInfo class name.
Exception

## isForeignKeyColumn

protected boolean isForeignKeyColumn | (string $columnId , TPgsqlTableInfo $tableInfo )

Input
string | $columnId | column name.
TPgsqlTableInfo | $tableInfo | table information.
Output
boolean | true if column is a foreign key.
Exception

## processColumn

protected void processColumn | (TMssqlTableInfo $tableInfo , array $col )

Input
TMssqlTableInfo | $tableInfo | table information.
array | $col | column information.
Output
Exception